package com.lightinit.hsdataplatformresdir.model.admin;

import java.util.List;

public class APIPublishInfoAndSettingEditModel {

    //publish_info Id
    private Long publishInfoId ;
    //状态
    private String publishState ;
    //数据标签
    private String dataTag ;
    //资源图片
    private String resourceImg ;
    //发布渠道
    private String publishChannel;
    //共享条件
    private String shareCondition;
    //开放条件
    private String openCondition;

    private String imgFile ;

    //关联表
    private List<APIPublishSettingModel> apiPublishSettingList ;

    private List<Long> deletePublishSettingIds ;

    public Long getPublishInfoId() {
        return publishInfoId;
    }

    public void setPublishInfoId(Long publishInfoId) {
        this.publishInfoId = publishInfoId;
    }

    public String getPublishState() {
        return publishState;
    }

    public void setPublishState(String publishState) {
        this.publishState = publishState;
    }

    public String getDataTag() {
        return dataTag;
    }

    public void setDataTag(String dataTag) {
        this.dataTag = dataTag;
    }

    public String getResourceImg() {
        return resourceImg;
    }

    public void setResourceImg(String resourceImg) {
        this.resourceImg = resourceImg;
    }

    public String getPublishChannel() {
        return publishChannel;
    }

    public void setPublishChannel(String publishChannel) {
        this.publishChannel = publishChannel;
    }

    public String getShareCondition() {
        return shareCondition;
    }

    public void setShareCondition(String shareCondition) {
        this.shareCondition = shareCondition;
    }

    public String getOpenCondition() {
        return openCondition;
    }

    public void setOpenCondition(String openCondition) {
        this.openCondition = openCondition;
    }

    public List<APIPublishSettingModel> getApiPublishSettingList() {
        return apiPublishSettingList;
    }

    public void setApiPublishSettingList(List<APIPublishSettingModel> apiPublishSettingList) {
        this.apiPublishSettingList = apiPublishSettingList;
    }

    public List<Long> getDeletePublishSettingIds() {
        return deletePublishSettingIds;
    }

    public void setDeletePublishSettingIds(List<Long> deletePublishSettingIds) {
        this.deletePublishSettingIds = deletePublishSettingIds;
    }

    public String getImgFile() {
        return imgFile;
    }

    public void setImgFile(String imgFile) {
        this.imgFile = imgFile;
    }
}
